### Class

# GdkPixbuf PixbufSimpleAnimIter

#### Description

    final class GdkPixbuf.PixbufSimpleAnimIter : GdkPixbuf.PixbufAnimationIter {
      /* No available fields */
    }

No description available.

#### Ancestors

- GdkPixbufAnimationIter
- GObject

#### Instance methods

##### Methods inherited from GdkPixbufAnimationIter (4)

###### gdk_pixbuf_animation_iter_advance

Possibly advances an animation to a new frame.

###### gdk_pixbuf_animation_iter_get_delay_time

Gets the number of milliseconds the current pixbuf should be displayed, or -1 if the current pixbuf should be displayed forever.

###### gdk_pixbuf_animation_iter_get_pixbuf

Gets the current pixbuf which should be displayed.

###### gdk_pixbuf_animation_iter_on_currently_loading_frame

Used to determine how to respond to the area_updated signal on `GdkPixbufLoader` when loading an animation.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.